# Command: GetGlobalNodesInfo

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetGlobalNodesInfo - Return GIDs, VPs and Parent GIDs of all nodes of
      a subnet that fulfill the conditions given in the dictionary, or of
      all nodes if no dictionary given.

Synopsis:

      gid [<<dict>>]  GetGlobalNodesInfo -> [<<...>> <<...>> ...]

Description:

      This function recursively traverses a subnet and returns the gid, vp
      and parent gid of all child nodes in increasing order of gid. If a dictionary
      is provided, only those nodes which fulfill the given criteria are
      returned.

      The returned Nodes include the intermediate subnets.

Parameters:

      gid		- id of a subnet
      <<dict>>	- Dictionary of selection properties
      Returns:
      [<<...>>...] 	- Array with dicts containing /global_id, /vp, /parent

Author:

    Marc-Oliver Gewaltig, Abigail Morrison

SeeAlso:

- GetGlobalNodes
- GetLocalNodes

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative